Bug 155020 - acroread 7.0 displays blank when "swallow"ed
acroread 7.0 displays blank when "swallow"ed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
: 155018 155019 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-15 14:27 EDT by Scott Tsai
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 19:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
handle acroread 5.x and 7.x difference in options and WM_CLASS (1.10 KB, patch)
2005-04-15 15:08 EDT, Scott Tsai
no flags Details | Diff
against mozplugger-1.7.1-4 (1.00 KB, patch)
2005-08-25 12:07 EDT, Scott Tsai
no flags Details | Diff

  None (edit)
Description Scott Tsai 2005-04-15 14:27:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Galeon/1.3.20

Description of problem:
ftp://ftp.adobe.com/pub/adobe/reader/unix/7x/7.0/enu/AdobeReader_enu-7.0.0-2.i386.rpm

The acrobat reader 7.0 i386.rpm released by Adobe contains the /usr/bin/acroread executable, but does not activate its own mozilla plugin by default. 

The shipped /etc/mozpluggerrc lists acroread ahead of xpdf and will execute it with the +useFrontEndProgram option for "don't open in existing instance" behavior, but the name of this option has been changed to -openInNewWindow in acoread 7.0, thus causing acroread to exit.

Version-Release number of selected component (if applicable):
mozplugger-1.6.2-1

How reproducible:
Always

Steps to Reproduce:
1. install Adobe acrobat reader 7.0 rpm
2. view URL pointing to PDF file
3. 
  

Actual Results:  mozilla shows a blank page

Expected Results:  Successful display of PDF file

Additional info:

I suggest trying acroread as a last resort for PDF in /etc/mozpluggerrc, favoring opensource viewers instead. If it is still desirable to support acoread in mozplugger then we should handle the version difference.
Comment 1 Scott Tsai 2005-04-15 15:08:17 EDT
Created attachment 113248 [details]
handle acroread 5.x and 7.x difference in options and WM_CLASS

This patch still leaves acroread first in the list.
Comment 2 Scott Tsai 2005-04-15 17:32:38 EDT
*** Bug 155018 has been marked as a duplicate of this bug. ***
Comment 3 Scott Tsai 2005-04-15 17:33:48 EDT
*** Bug 155019 has been marked as a duplicate of this bug. ***
Comment 4 Need Real Name 2005-04-28 08:03:47 EDT
Me too, works in firefox for me. Plugin works in Mozilla 1.6 FC1
Comment 5 Scott Tsai 2005-08-25 12:07:43 EDT
Created attachment 118113 [details]
against mozplugger-1.7.1-4

updated patch to mozplugger-1.7.1-4
Comment 6 Matthew Miller 2006-07-10 17:30:24 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Matěj Cepl 2007-06-09 19:49:55 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the updated release of the supported version of Fedora (FC5, FC6, or F7)?

If yes, please, reopen this bug with additional information how it is possible
to reproduce this bug.

In meantime, I have to close this bug as CANTFIX, because it is reported against
not longer supported distribution.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.